This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 702835 - PCI passthrough broken on T510 (can't find IOMMU)
PCI passthrough broken on T510 (can't find IOMMU)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-07 11:35 EDT by Steve Whitehouse
Modified: 2012-01-24 17:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 17:40:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Whitehouse 2011-05-07 11:35:40 EDT
Description of problem:

Using virt manager to set up a PCI passthrough to a virtual machine. Virtual machine will not start due to the following message:

Error starting domain: internal error Process exited while reading console log output: char device redirected to /dev/pts/0
PCI region 0 at address 0xf2828000 has size 0x400, which is not a multiple of 4K. You might experience some performance hit due to that.
No IOMMU found.  Unable to assign device "hostdev0"
qemu-kvm: -device pci-assign,host=00:1a.0,id=hostdev0,configfd=48,bus=pci.0,addr=0x6: Device 'pci-assign' could not be initialized

The PCI device in question is a USB controller. I've turned off selinux in case that was causing a problem. I've also disabled dropping privs and made it run as root in the qemu config. I booted with nousb set, so that the host's usb would not claim the device in question, I also checked the BIOS settings were correct:

dmesg | grep -e DMAR -e IOMMU
[    0.000000] ACPI: DMAR 00000000bb781000 000B8 (v01 INTEL  CP_DALE  00000001 INTL 00000001)
[    0.000000] Intel-IOMMU: enabled
[    0.036715] DMAR: Host address width 36
[    0.036717] DMAR: DRHD base: 0x000000fed90000 flags: 0x0
[    0.036724] IOMMU 0: reg_base_addr fed90000 ver 1:0 cap c9008020e30272 ecap 1000
[    0.036726] DMAR: DRHD base: 0x000000fed91000 flags: 0x0
[    0.036731] IOMMU 1: reg_base_addr fed91000 ver 1:0 cap c0000020230272 ecap 1000
[    0.036734] DMAR: DRHD base: 0x000000fed93000 flags: 0x1
[    0.036739] IOMMU 2: reg_base_addr fed93000 ver 1:0 cap c9008020630272 ecap 1000
[    0.036741] DMAR: RMRR base: 0x000000bb6e9000 end: 0x000000bb6fffff
[    0.036743] DMAR: RMRR base: 0x000000bdc00000 end: 0x000000bfffffff
[    0.036745] DMAR: No ATSR found

I'm not sure what an ATSR is, so I'm not sure if that is significant or not.

Version-Release number of selected component (if applicable):

Packages from latest f14, all updates applied.

Name        : qemu-system-x86              Relocations: (not relocatable)
Version     : 0.13.0                            Vendor: Fedora Project
Release     : 1.fc14                        Build Date: Tue 19 Oct 2010 06:46:06 AM BST

bash-4.1$ rpm -qi libvirt
Name        : libvirt                      Relocations: (not relocatable)
Version     : 0.8.3                             Vendor: Fedora Project
Release     : 9.fc14                        Build Date: Tue 05 Apr 2011 09:42:48 PM BST

bash-4.1$ rpm -qi kernel
Name        : kernel                       Relocations: (not relocatable)
Version     : 2.6.35.6                          Vendor: Fedora Project
Release     : 45.fc14                       Build Date: Tue 19 Oct 2010 01:32:24 AM BST


Laptop is a Lenovo T510


How reproducible:

Every time.

Steps to Reproduce:
1. Try to run virtual machine.
  
Actual results:

As above

Expected results:

Virtual machine should start normally and PCI device should be available to the guest.


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2011-09-22 13:56:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:59:15 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 14:55:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:57:07 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:00:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:02:40 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Cole Robinson 2012-01-24 17:40:53 EST
Sorry for not addressing this bug, but F14 is EOL now, so I'm closing this
report. Please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.